<p-dialog [(visible)]="display" header="Titulo" [position]="utilitiesConfig.optionsDialog.position"
    [modal]="utilitiesConfig.optionsDialog.modal" [styleClass]="utilitiesConfig.optionsDialog.styleClass"
    [breakpoints]="utilitiesConfig.optionsDialog.breakpoints" [baseZIndex]="utilitiesConfig.optionsDialog.baseZIndex"
    [draggable]="utilitiesConfig.optionsDialog.draggable" [maximizable]="utilitiesConfig.optionsDialog.maximizable"
    [style]="utilitiesConfig.optionsDialog.style" [contentStyle]="utilitiesConfig.optionsDialog.contentStyle"
    (onHide)="goToPage()">

    <ng-template pTemplate="header">
        <span class="p-dialog-title">
            <em class="pi pi-pencil"></em>
            <b>Memoria </b> {{tittle}} 
        </span>
        <div class="ties">
            <span class="void">
                <span class="tie-knot"></span>
            </span>
            <span class="void">
                <span class="tie-knot"></span>
            </span>
        </div>
    </ng-template>
    <div class="p-16">
        <div class="grid p-16 center-div">
            <app-card-memory *ngFor="let c of cards; let idx=index" [data]="c" (cardClicked)="cardClicked(idx)">
            </app-card-memory>
        </div>
    </div>

    <ng-template pTemplate="footer">
    </ng-template>
</p-dialog>